net.sourceforge.jnlp.security

## Interface CertVerifier

All Known Implementing Classes:
  HttpsCertVerifier, JarCertVerifier

    public interface CertVerifier

An interface that provides various details about certificates of an app.

### Method Summary

Methods
`boolean` `getAlreadyTrustPublisher()` Return if the publisher is already trusted
`java.security.cert.CertPath` `getCertPath(java.security.cert.CertPath certPath)` Return a valid certificate path to this certificate being verified
`java.util.List<java.lang.String>` `getDetails(java.security.cert.CertPath certPath)` Get the details regarding issue with this certificate
`java.security.cert.Certificate` `getPublisher(java.security.cert.CertPath certPath)` Returns the application's publisher's certificate.
`java.security.cert.Certificate` `getRoot(java.security.cert.CertPath certPath)` Returns the application's root's certificate.
`boolean` `getRootInCacerts()` Return if the root is in CA certs
`boolean` `hasSigningIssues(java.security.cert.CertPath certPath)` Return if there are signing issues with the certificate being verified

### Method Detail

#### getAlreadyTrustPublisher

    boolean getAlreadyTrustPublisher()

Return if the publisher is already trusted

#### getRootInCacerts

    boolean getRootInCacerts()

Return if the root is in CA certs

#### hasSigningIssues

    boolean hasSigningIssues(java.security.cert.CertPath certPath)

Return if there are signing issues with the certificate being verified

#### getDetails

    java.util.List<java.lang.String> getDetails(java.security.cert.CertPath certPath)

Get the details regarding issue with this certificate

#### getCertPath

    java.security.cert.CertPath getCertPath(java.security.cert.CertPath certPath)

Return a valid certificate path to this certificate being verified

Returns:
  The CertPath

#### getPublisher

    java.security.cert.Certificate getPublisher(java.security.cert.CertPath certPath)

Returns the application's publisher's certificate.

#### getRoot

    java.security.cert.Certificate getRoot(java.security.cert.CertPath certPath)

Returns the application's root's certificate. This may return the same certificate as getPublisher(CertPath certPath) in the event that the application is self signed.